java.nio.charset

## Class UnsupportedCharsetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.nio.charset.UnsupportedCharsetException

- All Implemented Interfaces:
    Serializable

      public class UnsupportedCharsetException
      extends IllegalArgumentException

  Unchecked exception thrown when no support is available for a requested charset.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedCharsetException(String charsetName)` Constructs an instance of this class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCharsetName()` Retrieves the name of the unsupported charset.

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedCharsetException

          public UnsupportedCharsetException(String charsetName)

      Constructs an instance of this class.
      Parameters:
        `charsetName` - The name of the unsupported charset

  - ### Method Detail

    - #### getCharsetName

          public String getCharsetName()

      Retrieves the name of the unsupported charset.
      Returns:
        The name of the unsupported charset

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.